﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3053
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System.Xml.Serialization

Imports System.Xml

'
'This source code was auto-generated by xsd, Version=2.0.50727.3038.
'
Namespace WebService
    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Global.System.Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class OMCheckFulfilmentResponse

        Private dateTimeStampField As OMCheckFulfilmentResponseDateTimeStamp

        Private successFlagField As Boolean

        Private estoreFulfillerField As String

        Private hubFulfillerField As String

        '''<remarks/>
        Public Property DateTimeStamp() As OMCheckFulfilmentResponseDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(ByVal value As OMCheckFulfilmentResponseDateTimeStamp)
                Me.dateTimeStampField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SuccessFlag() As Boolean
            Get
                Return Me.successFlagField
            End Get
            Set(ByVal value As Boolean)
                Me.successFlagField = value
            End Set
        End Property

        '''<remarks/>
        Public Property EstoreFulfiller() As String
            Get
                Return Me.estoreFulfillerField
            End Get
            Set(ByVal value As String)
                Me.estoreFulfillerField = value
            End Set
        End Property

        '''<remarks/>
        Public Property HubFulfiller() As String
            Get
                Return Me.hubFulfillerField
            End Get
            Set(ByVal value As String)
                Me.hubFulfillerField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class OMCheckFulfilmentResponseDateTimeStamp

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(ByVal value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class
End Namespace